Bug 70403 - config GRUB in MBR: existing other ext3/RHL7.3 not offered
config GRUB in MBR: existing other ext3/RHL7.3 not offered
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 23:23 EDT by John Reiser
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 12:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"df" output on limbo: partition config info (323 bytes, text/plain)
2002-07-31 23:24 EDT, John Reiser
no flags Details
/etc/fstab on limbo (696 bytes, text/plain)
2002-07-31 23:25 EDT, John Reiser
no flags Details
/etc/grub.conf on limbo (578 bytes, text/plain)
2002-07-31 23:26 EDT, John Reiser
no flags Details
/etc/grub.conf on co-existing prior RHL7.3 (576 bytes, text/plain)
2002-07-31 23:27 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2002-07-31 23:23:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
During initial text-mode install to an existing empty partition, DiskDruid
recognized an exisitng old partition with ext3 filesystem, and let me configure
that partition to be mounted as /oldroot and preserve its contents, but did not
recognize it as bootable, and I could not force it into the list of other OS to
boot.  

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Partition a clean /dev/hda into root (hda1 2GB ext3), swap (hda2 0.5GB),
extra (hda3 2.5GB ext3), and install RHL7.3 (Workstation) into hda1.  Use GRUB
in MBR as bootloader.
2. Text-mode install 2nd limbo beta (Personal Workstation) onto hda3, use
DiskDruid, preserve hda1 mounted as /oldroot.  Use GRUB in MBR as bootloader
3.
	

Actual Results:  Only hda3 (new limbo root) is offered as a choice when the
installer sets up OS boot configuration.

Expected Results:  Both hda3 (new limbo root) and hda1 (old RHL7.3 root) should
be listed as bootable and offered to be configured into boot loader menu.

Additional info:
Comment 1 John Reiser 2002-07-31 23:24:51 EDT
Created attachment 68126 [details]
"df" output on limbo: partition config info
Comment 2 John Reiser 2002-07-31 23:25:43 EDT
Created attachment 68127 [details]
/etc/fstab on limbo
Comment 3 John Reiser 2002-07-31 23:26:22 EDT
Created attachment 68128 [details]
/etc/grub.conf on limbo
Comment 4 John Reiser 2002-07-31 23:27:11 EDT
Created attachment 68129 [details]
/etc/grub.conf on co-existing prior RHL7.3
Comment 5 Michael Fulbright 2002-08-02 12:47:35 EDT
I think this is working as designed - Jeremy?
Comment 6 Jeremy Katz 2002-08-02 16:26:53 EDT
Yes, this is exactly as designed.  There's no real good way to tell that a Linux
partition is really meant to be chainloaded

Note You need to log in before you can comment on or make changes to this bug.